petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexCreateCubeBoundary

Creates a 2D mesh that is the boundary of a cubic lattice.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateCubeBoundary(DM dm, const PetscReal lower[], const PetscReal upper[], const PetscInt faces[])

Collective

### Input Parameters

| comm | - The communicator for the DM object
| lower | - The lower left front corner coordinates
| upper | - The upper right back corner coordinates
| edges | - The number of cells in each direction

### Output Parameter

dm -The DM object

### See Also

DMPlexCreateBoxMesh(), DMPlexCreateSquareBoundary(), DMSetType(), DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages